Subject: [AVT] FW: New Version Notification for draft-schmidt-avt-rfc3016bis-02

From: "Bont, Frans de" <[email-masked]>
Date: Fri, 3 Jul 2009 14:14:16 +0200

Hi,

It took us some time to prepare a new version for this draft.
The major changes are listed below.

- added section 1.3, Differences to RFC 3016
- added definitions and abbreviations to section 2
- a note has been added to the description of the rate parameter that
the use of SBR-enabled in SDP a=fmtp is useful for implicit HE AAC /
HE AAC v2 signaling
- a restriction on the values for the StreamMuxConfig elements
taraBufferFullness and latmBufferFullness has been added to the
config parameter in section 5.3.
- the examples have been reordered in separate sub-sections.
- the number audio channels is indicated by <encoding parameters>
in the a=rtpmap lines
- the references have been split in normative and informative ones.
- some obsolete RFC numbers have been updated.

Furthermore, see below the response to Roni’s comments (2009-04-06)
on the previous draft.

> I reviewed the draft and have some comments.
>
> It looks to me that the draft has all the text from RFC 3016 and I
> suggest that it would obsolete RFC 3016 and not update it.

Done

> 1. We are using media subtype for RTP payload instead of MIME
> type, this need to be updated in the whole draft

Done

> 2. You are using the term VOP starting in section 1.1, please
> define what is this abbreviation of.

Done

> 3. In section 1.2 you discuss scalable stream. In the second line
> of the 4 paragraph you are referring to RTP packets but from the
> rest of the paragraph it looks like you meant RTP streams (with
> different PT)

Done

> 4. For the scalable audio and video you are using the PT values to
> define the dependency. I assume that you need it for backward
> compatibility but why not also suggest using the SDP decoding
> dependency draft.

A few lines have been added to section 4.2 to describe the use of
the mmusic decoder dependency draft for scalable audio, and an
informative reference to the MPS draft is included, as an example.

> 5. In section 3 you mention RFC 4629 and 4628.
> Please add references.

Done

> 6. The media subtype registration should be updated to be inline
> with RFC4855

Done.

> 7. For mpeg4 -video you mention in Applications which use this media
> type IM and email yet there is no file format specified or
> referenced here.

IM and email have been removed from the list of applications as we
are not aware of the use of RFC 3016 for this.

> 8. To the SDP usage add offer/answer consideration including also
> the negotiation for profile-level, what is considered an
> interoperability mode, do both sides need to have the same profile
> and level or the offer is rejected and so on.

We think that RFC 3016bis doesn't need to mention this because
RFC3640 is used for interactive audio/video streaming even in 3GPP.

> 9. The security section can you the security consideration from
> draft-ieft-avt-srtp-not-mandatory

We have added a paragraph for covert channel data transport using
the extension mechanism of MPEG-4 Audio codecs.

> 10. The IANA consideration should say that it updates the media type
> registration from 3016 and point at the media subtype definition
> sections in the current draft.

Done

Note that Jaehwan Kim has joined the team of authors. Jaehwan already
had a significant contribution to the drafting of this version.

We'd like this to be considered for adoption as an AVT working group draft.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-schmidt-avt-rfc3016bis-02.txt

Best regards,
Frans

Frans de Bont,
Philips Applied Technologies,
High Tech Campus 5, 5656 AE Eindhoven
Tel: ++31 40 2740234, Fax: ++31 40 2744108
Room HTC-5/5.019
http://www.apptech.philips.com

-----Original Message-----
From: IETF I-D Submission Tool [mailto:[email-masked]]
Sent: 2009 Jul 03 2:07 PM
To: Bont, Frans de
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: New Version Notification for draft-schmidt-avt-rfc3016bis-02

A new version of I-D, draft-schmidt-avt-rfc3016bis-02.txt has been successfuly submitted by Frans Bont and posted to the IETF repository.

Filename:        draft-schmidt-avt-rfc3016bis
Revision:        02
Title:           RTP Payload Format for MPEG-4 Audio/Visual Streams
Creation_date:   2009-07-03
WG ID:           Independent Submission
Number_of_pages: 32

Abstract:
This document describes Real-Time Transport Protocol (RTP) payload
formats for carrying each of MPEG-4 Audio and MPEG-4 Visual
bitstreams without using MPEG-4 Systems.  For the purpose of directly
mapping MPEG-4 Audio/Visual bitstreams onto RTP packets, it provides
specifications for the use of RTP header fields and also specifies
fragmentation rules.  It also provides specifications for Media Type
registration and the use of Session Description Protocol (SDP).

Comments are solicited and should be addressed to the working group's
mailing list at [email-masked] and/or the author(s).

The IETF Secretariat.

The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.